# This file created by conda-build 3.25.0
# ------------------------------------------------

package:
  name: spacy-model-uk_core_news_sm
  version: 3.5.0
source:
  - sha256: c07800e058b1b544eb9d47dd81687582fe6830c1ddc47f57521fc93628685915
    url: https://raw.githubusercontent.com/explosion/spaCy/master/LICENSE
  - folder: uk_core_news_lg
    sha256: e24e7130b573bf52cd6a3dd7237d4918f93b3218723eb7b9619351ddadec8942
    url: https://github.com/explosion/spacy-models/releases/download/uk_core_news_lg-3.5.0/uk_core_news_lg-3.5.0.tar.gz
  - folder: uk_core_news_md
    sha256: 57043482c57ebe8336c0930b387412f4aa013573b09fec83a97016955338af16
    url: https://github.com/explosion/spacy-models/releases/download/uk_core_news_md-3.5.0/uk_core_news_md-3.5.0.tar.gz
  - folder: uk_core_news_sm
    sha256: df3e5cec8bcd0031079d7a9c6bdb824e2793e2939654c24ed6db38e897ac6bb6
    url: https://github.com/explosion/spacy-models/releases/download/uk_core_news_sm-3.5.0/uk_core_news_sm-3.5.0.tar.gz
  - folder: uk_core_news_trf
    sha256: cb21c1384506dba79be33c0c39fd83e66d9ed24121d03d5acf2e52b523db7009
    url: https://github.com/explosion/spacy-models/releases/download/uk_core_news_trf-3.5.0/uk_core_news_trf-3.5.0.tar.gz
build:
  noarch: python
  number: 1
  script:
    - cd uk_core_news_sm && /opt/conda/envs/spacy/conda-bld/spacy-models_1686767672232/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/bin/python
      -m pip install . -vv --no-deps --no-build-isolation
  string: pyhd3eb1b0_1
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.05.30 h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.8 h7f8727e_0
    - pip 23.1.2 py311h06a4308_0
    - python 3.11.3 h955ad1f_1
    - readline 8.2 h5eee18b_0
    - setuptools 67.8.0 py311h06a4308_0
    - sqlite 3.41.2 h5eee18b_0
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.38.4 py311h06a4308_0
    - xz 5.4.2 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  run:
    - pymorphy3 >=1.0.0
    - pymorphy3-dicts-uk
    - python >=3.6
    - spacy ==3.5.*
test:
  commands:
    - pip check
    - python -c "__import__('uk_core_news_sm').load()"
    - python -c "__import__('spacy').load('uk_core_news_sm')"
  imports:
    - uk_core_news_sm
  requires:
    - pip
about:
  description: 'Components: tok2vec, morphologizer, parser, senter, ner, attribute_ruler,
    lemmatizer.'
  license: MIT
  license_file:
    - uk_core_news_sm/LICENSE
    - uk_core_news_sm/LICENSES_SOURCES
  summary: Ukrainian pipeline optimized for CPU.
extra:
  copy_test_source_files: true
  feedstock-name: spacy-models
  final: true
  recipe-maintainers:
    - bollwyvl
    - skupr-anaconda
